Name: tsclient
Version: 0.152
Release: alt1

Summary: front-end for viewing of remote desktops in GNOME
License: GPL
Group: Networking/Remote access

Url: http://tsclient.sourceforge.net/
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %name-%version.tar

BuildRequires: libgtk+2-devel libgnomeui-devel libgnome-panel-devel intltool

%description
tsclient is a GNOME program for remotely accessing Microsoft Windows
NT/2000 Terminal Services and XP Remote Desktop Sharing as implemented
by the Remote Desktop Protocol (RDP). Using the rdesktop program as a
backend, tsclient allows users to access and view their desktops as
stored on remote Windows NT/2000/XP servers.

Some of tsclient's features include:
* A GNOME panel applet to quickly launch saved RDP files
* Support for RDPv5 and rdesktop-1.3 arguments
* Reading .rdp files in the MS Unicode format
* Writing .rdp files in ASCII (for compatibility with the MS client)
* A "RDP picker" which lists .rdp files in ~/.tsclient/ and launches
rdesktop from the rdp file when selected

tsclient also supports:
* VNC clients (*vncviewer)
* Citrix ICA client
* X via Xnest

%prep
%setup -q

%build
NOCONFIGURE=yes sh ./autogen.sh
%configure
%make_build

%install
%makeinstall_std
mkdir -p %buildroot%_liconsdir
mv %buildroot%_pixmapsdir/tsclient.png %buildroot%_liconsdir
%find_lang %name

%files -f %name.lang
%_bindir/tsclient
%_prefix/lib/tsclient-applet
%_libdir/bonobo/servers/GNOME_TSClientApplet.server
%_datadir/application-registry/tsclient.applications
%_desktopdir/tsclient.desktop
%_man1dir/tsclient.1*
%_datadir/mime-info/tsclient.keys
%_datadir/mime-info/tsclient.mime
%_pixmapsdir/tsclient
%_liconsdir/tsclient.png
%doc AUTHORS COPYING ChangeLog NEWS README

%changelog
* Thu Sep 23 2010 Vladimir Lettiev <crux@altlinux.ru> 0.152-alt1
- initial build

